Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UINotifyMessage.Properties

    java.lang.Object
      java.lang.Enum<UINotifyMessage.Properties>
          org.richfaces.component.UINotifyMessage.Properties

All Implemented Interfaces:
  Serializable, Comparable<UINotifyMessage.Properties>

Enclosing class:
  UINotifyMessage

    protected static enum UINotifyMessage.Properties

extends Enum<UINotifyMessage.Properties>

Enum Constant Summary
`ajaxRendered`
`animationSpeed`
`appearAnimation`
`delay`
`hideAnimation`
`keepTransient`
`nonblocking`
`nonblockingOpacity`
`showCloseButton`
`showHistory`
`showShadow`
`stack`
`stayTime`
`sticky`
`styleClass`

Method Summary
`static UINotifyMessage.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UINotifyMessage.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ajaxRendered

    public static final UINotifyMessage.Properties ajaxRendered

### animationSpeed

    public static final UINotifyMessage.Properties animationSpeed

### appearAnimation

    public static final UINotifyMessage.Properties appearAnimation

### delay

    public static final UINotifyMessage.Properties delay

### hideAnimation

    public static final UINotifyMessage.Properties hideAnimation

### keepTransient

    public static final UINotifyMessage.Properties keepTransient

### nonblocking

    public static final UINotifyMessage.Properties nonblocking

### nonblockingOpacity

    public static final UINotifyMessage.Properties nonblockingOpacity

### showCloseButton

    public static final UINotifyMessage.Properties showCloseButton

### showHistory

    public static final UINotifyMessage.Properties showHistory

### showShadow

    public static final UINotifyMessage.Properties showShadow

### stack

    public static final UINotifyMessage.Properties stack

### stayTime

    public static final UINotifyMessage.Properties stayTime

### sticky

    public static final UINotifyMessage.Properties sticky

### styleClass

    public static final UINotifyMessage.Properties styleClass

Method Detail

### values

    public static UINotifyMessage.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UINotifyMessage.Properties c : UINotifyMessage.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UINotifyMessage.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.